package com.fjhx.mes.service.production;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.mes.entity.production.po.ProductionTask;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionTaskVo;
import com.fjhx.mes.entity.production.dto.ProductionTaskSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionTaskDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 生产任务 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface ProductionTaskService extends BaseService<ProductionTask> {

    /**
     * 生产任务分页
     */
    Page<ProductionTaskVo> getPage(ProductionTaskSelectDto dto);

    /**
     * 生产任务明细
     */
    ProductionTaskVo detail(Long id);

    /**
     * 生产任务新增
     */
    void add(ProductionTaskDto productionTaskDto);

    /**
     * 生产任务编辑
     */
    void edit(ProductionTaskDto productionTaskDto);

    /**
     * 生产任务删除
     */
    void delete(Long id);

    List<ProductionTaskVo> myListByIds(List<Long> ids);

    void addByJxst(ProductionTaskDto productionTaskDto);

    ProductionTaskVo detailByJxst(Long id);
}
